#if !defined(AFX_LEGENDPROPDLG_H__E285695F_DE59_4890_9E05_AB99EF04EC86__INCLUDED_)
#define AFX_LEGENDPROPDLG_H__E285695F_DE59_4890_9E05_AB99EF04EC86__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LegendPropDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLegendPropDlg dialog
#include "PageDialog.h"
#include "ReportDict.h"

class CLegendPropDlg : public CPageDialog
{
// Construction
protected:
	CBitmap bm_1;
	CBitmap bm_2;
	CBitmap bm_3;

	COLORREF	m_DefColors[7];
	int			m_cur_def_color;

	CLegendElement	m_WorkingLegend;
public:
	bool TestUpdate();
	CLegendPropDlg(CWnd* pParent = NULL);   // standard constructor

	CLegendElement	*m_pLegend;

	virtual bool UpdateDlg();
// Dialog Data
	//{{AFX_DATA(CLegendPropDlg)
	enum { IDD = IDD_LEGEND_PROP_DLG };
	CaplStatic	m_font_color_wnd;
	CButton	m_browse_font_btn;
	CString	m_sFontName;
	CComboBox m_position1;
	CComboBox m_position2;
	int		m_iFontSize;
	int		m_iMode;
	BOOL	m_bShowLegend;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLegendPropDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SetReadOnly();

	// Generated message map functions
	//{{AFX_MSG(CLegendPropDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnShowLegend();
	afx_msg void OnBrowseFont();
	afx_msg void OnChangePosition();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LEGENDPROPDLG_H__E285695F_DE59_4890_9E05_AB99EF04EC86__INCLUDED_)
